Bug 832122 - Seam2.3 seam-gen generate-model fails with java.lang.NoClassDefFoundError: org/hibernate/engine/Mapping
Seam2.3 seam-gen generate-model fails with java.lang.NoClassDefFoundError: or...
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 11:08 EDT by Marek Schmidt
Modified: 2012-06-19 04:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 04:18:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-14 11:08:24 EDT
Description of problem:

Attepting to run "seam generate-model" on a seam-gen WAR project fails:

$ ../../seam generate-model
SEAM_HOME: /home/maschmid/testing/wfk/2.0.0.ER8/jboss-wfk-2.0.0.ER8/jboss-seam-2.3.0.Beta2-redhat-1
Using seam-gen sources from: /home/maschmid/testing/wfk/2.0.0.ER8/jboss-wfk-2.0.0.ER8/jboss-seam-2.3.0.Beta2-redhat-1/seam-gen
Buildfile: /home/maschmid/testing/wfk/2.0.0.ER8/jboss-wfk-2.0.0.ER8/jboss-seam-2.3.0.Beta2-redhat-1/seam-gen/build.xml

init:

init-properties:
     [echo] /home/maschmid/testing/eap6/jboss-eap-6.0.0.CR1/jboss-eap-6.0/

validate-workspace:

validate-project:

init-generate:

generate-model:
     [echo] Reverse engineering database using JDBC driver /home/maschmid/tmp/mysql-connector-java-5.1.19-bin.jar
     [echo] project=/home/maschmid/testing/wfk/2.0.0.ER8/jboss-wfk-2.0.0.ER8/jboss-seam-2.3.0.Beta2-redhat-1/tmp/myproject
     [echo] model=com.mydomain.myproject.model
[hibernate] Executing Hibernate Tool with a JDBC Configuration (for reverse engineering)
[hibernate] 1. task: hbm2java (Generates a set of .java files)

BUILD FAILED
/home/maschmid/testing/wfk/2.0.0.ER8/jboss-wfk-2.0.0.ER8/jboss-seam-2.3.0.Beta2-redhat-1/seam-gen/build.xml:1545: java.lang.NoClassDefFoundError: org/hibernate/engine/Mapping
Comment 1 Marek Novotny 2012-06-15 02:27:54 EDT
That is related to old hibernate-tools which doesn't work with HIbernate4 in runtime. We need to wait for proper release of hibernate-tools, which are bundled with JBTools 3.3.0 to get that into Seam gen. More in https://issues.jboss.org/browse/JBSEAM-4978

Note You need to log in before you can comment on or make changes to this bug.